PUT V1/BudgetAndForecasting.{ext}/UpdateForecastDetails

This API updates the forecast details.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.BudgetAndForecasting.Entities.ManageRowData
NameDescriptionTypeAdditional information
ActionItem

No description available

string

None.

ManageRowDataList

No description available

Collection of EMS.BudgetAndForecasting.Entities.ManageRowDataValue

None.

ManageForeCastValue

No description available

EMS.BudgetAndForecasting.Entities.ManageForeCastValue

None.

Request Formats

application/json, text/json

Sample:
{
  "actionItem": "sample string 1",
  "manageRowDataList": [
    {
      "inventoryDetailId": 1,
      "advanceForeCastId": 2
    },
    {
      "inventoryDetailId": 1,
      "advanceForeCastId": 2
    }
  ],
  "manageForeCastValue": {
    "actionItem": "sample string 1",
    "inventoryId": "sample string 2",
    "foreCastMethodName": "sample string 3",
    "foreCastFactor": "sample string 4",
    "foreCastDefinition": "sample string 5",
    "foreCastType": "sample string 6",
    "foreCastValue": "sample string 7",
    "foreCastXML": "sample string 8",
    "foreCastMethodId": "sample string 9",
    "fromMonth": "sample string 10",
    "fromYear": "sample string 11",
    "toMonth": "sample string 12",
    "toYear": "sample string 13",
    "budgetModel": "sample string 14"
  }
}

application/xml, text/xml

Sample:
<ManageRowData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.BudgetAndForecasting.Entities">
  <ActionItem>sample string 1</ActionItem>
  <ManageForeCastValue>
    <ActionItem>sample string 1</ActionItem>
    <BudgetModel>sample string 14</BudgetModel>
    <ForeCastDefinition>sample string 5</ForeCastDefinition>
    <ForeCastFactor>sample string 4</ForeCastFactor>
    <ForeCastMethodId>sample string 9</ForeCastMethodId>
    <ForeCastMethodName>sample string 3</ForeCastMethodName>
    <ForeCastType>sample string 6</ForeCastType>
    <ForeCastValue>sample string 7</ForeCastValue>
    <ForeCastXML>sample string 8</ForeCastXML>
    <FromMonth>sample string 10</FromMonth>
    <FromYear>sample string 11</FromYear>
    <InventoryId>sample string 2</InventoryId>
    <ToMonth>sample string 12</ToMonth>
    <ToYear>sample string 13</ToYear>
  </ManageForeCastValue>
  <ManageRowDataList>
    <ManageRowDataValue>
      <AdvanceForeCastId>2</AdvanceForeCastId>
      <InventoryDetailId>1</InventoryDetailId>
    </ManageRowDataValue>
    <ManageRowDataValue>
      <AdvanceForeCastId>2</AdvanceForeCastId>
      <InventoryDetailId>1</InventoryDetailId>
    </ManageRowDataValue>
  </ManageRowDataList>
</ManageRowData>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResult
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResult

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResult",
  "response": {
    "status": "sample string 1",
    "message": "sample string 2",
    "result": "sample string 3"
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.